.site-footer {
    background-color: #171717;
}
.site-footer::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--main-color-theme);
}
.site-footer,
.site-footer a {
    color: #fff;
}
.site-footer .footer-contain .wrapper {
    display: grid;
}
.site-footer .footer-contain.footer-top .wrapper {
    grid-template-columns: auto 400px;
    row-gap: 20px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.16);
    align-items: center;
}
.site-footer .footer-contain.footer-top .wrapper > div:nth-child(2) {
    justify-self: right;
    padding-left: 0;
    padding-right: 0;
}
.site-footer .footer-contain .wrapper > * {
    padding-left: 15px;
    padding-right: 15px;
}
.site-footer .footer-contain.footer-middle .wrapper {
    grid-template-columns: 2fr 1fr 1fr 1fr;
    gap: 48px;
    border-bottom: 1px solid rgba(255,255,255,.08);
    padding-top: 60px;
    padding-bottom: 40px;
}
.site-footer .footer-contain.footer-middle .wrapper > div:nth-child(2) {
    border-left: 1px solid rgb(255 255 255 / 77%);
    border-right: 1px solid rgb(255 255 255 / 77%);
}
.site-footer .footer-contain.footer-bottom {
    padding-top: 17px;
    padding-bottom: 15px;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    text-align: center;
}
.site-footer .footer-contain.footer-bottom .wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    text-align: left;
}
.site-footer .footer-contain.footer-bottom,
.site-footer .footer-contain.footer-bottom a {
    color: #FFFFFF8F;
}
@media only screen and (max-width: 767px) {
    .site-footer .footer-contain.footer-top .wrapper > *,
    .site-footer .footer-contain.footer-bottom .wrapper > * {
        margin-bottom: 0;
    }
    .site-footer .footer-contain.footer-top .wrapper,
    .site-footer .footer-contain.footer-middle .wrapper,
    .site-footer .footer-contain.footer-bottom .wrapper {
        grid-template-columns: unset;
        grid-row-gap: 20px;
    }
    .site-footer .footer-contain.footer-top .wrapper {
        padding-top: 50px;
        padding-bottom: 20px;
    }
    .site-footer .footer-contain.footer-top .wrapper > div:nth-child(2) {
        justify-self: unset;
    }
    .site-footer .footer-contain.footer-middle {
        padding-top: 15px;
        padding-bottom: 0;
    }
    .site-footer .footer-contain.footer-middle .wrapper {
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .site-footer .footer-contain.footer-bottom .wrapper {
        text-align: center;
        display: block;
    }
    .site-footer .footer-contain.footer-bottom .wrapper > div:first-child {
        margin-bottom: 10px;
    }
    .site-footer .footer-contain .wrapper > * {
        padding-left: 10px;
        padding-right: 10px;
    }
}